Package net.rubygrapefruit.platform.internal

# Class AbstractFiles

java.lang.Object
net.rubygrapefruit.platform.internal.AbstractFiles

All Implemented Interfaces:
  `Files`, `NativeIntegration`

Direct Known Subclasses:
  `DefaultPosixFiles`, `DefaultWindowsFiles`

public abstract class AbstractFiles extends Object implements Files

## Constructor Summary

Constructors
Constructor
Description
`AbstractFiles()`

## Method Summary

Modifier and Type
Method
Description
`protected NativeException`
`listDirFailure(File dir, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.rubygrapefruit.platform.Files

`listDir, listDir, stat, stat`

## Constructor Details

### AbstractFiles

public AbstractFiles()

## Method Details

### listDirFailure

protected NativeException listDirFailure(File dir, FunctionResult result)